function [DegArray, AvgDeg] = calcDegNet(X, alphanet, method)

switch method
    case 'Pearson'
        [~, P] = corrcoef(X);
    case 'Spearman'
        [~, P] = corr(X,'type','Spearman');
    otherwise
        error('Unexpected method: choose between Pearson and Spearman.');
end

A = single(P <= alphanet);

[DegArray, AvgDeg] = calcGraphDegree(A);
end

% ------------------------------------------------------------------------

function [Deg, AvgD] = calcGraphDegree(A)
% Note: ADJ must have zeros on main diagonal.
Deg = zeros(size(A,2),1);
for j = 1:size(A,2)
    Deg(j) = sum(A(j,:));
end
AvgD = (1/size(A,1))*sum(Deg);
end