%	Copyright, April 2016,ISSIA-CNR

addpath(genpath('./library'))
addpath(genpath('./dataset'))
addpath(genpath('./geneSymb'))

  method = 'Spearman';
% method = 'Pearson';
% flagFDR = 'Storey'; 
  flagFDR = 'Benjamini';
  
load('new_alpha')
alphanet = new_alpha;

  alphatTest = 0.05;
  flagPairing = 'unpaired';
% flagPairing = 'paired';  

  
% DATASET AND PLATFORM

load XGSE41848 % dataset samples-by-variables
load posYGSE41848 % sample labels: -1 for HC samples, 1,2,3 for MS at baseline, follow-up year 1, follow-up year 2 respectively
load geneSymb 
Y = zeros(1,numel(YLabel));
Y(posBAS) = +1;
Y(posFU1) = +2;
Y(posFU2) = +3;
Y(134:end) = +4; % all the HCs will have label +4

posHC = 133+randperm(79, numel(posFU2)); % we randomly drawn HC samples in order to have a number of HC samples equal to the number of the follow-up year 2 MS
platform = geneSymb;

% FDR OF THE NETWORK

fdralpha = 0.10;
pvalpha = 0.05;
[fdrThresh, pvThresh] = calcFdrAlphanet(X, pvalpha, fdralpha, method, flagFDR);

%  37 untreated vs 37 treated

Xd = X(Y == +3,:);
Xh = X(Y == -1,:);
XBAS = [Xd; Xh];
YBAS = [ones(1,size(Xh,1)), -1*ones(1,size(Xh,1))];


nShuffle = 1000; % n of drawns
[degDifSh, avgDegDifSh] = calcDegShuffle(XBAS, YBAS, nShuffle, alphanet, method);

save degShuffleBASE degDifSh avgDegDifSh

exonSM_BAS = CoexNetOneTailed(XBAS, YBAS, alphanet, method, degDifSh, avgDegDifSh, alphatTest, flagPairing);
exonSM_BAS.fdrDc = mafdr(exonSM_BAS.pDc, 'BHFDR', 'true');
exonSM_BAS.fdrDcPlus = mafdr(exonSM_BAS.pDcPlus, 'BHFDR', 'true');
exonSM_BAS.fdrDcMinus = mafdr(exonSM_BAS.pDcMinus, 'BHFDR', 'true');
exonSM_BAS.fdrDe = mafdr(exonSM_BAS.pDe, 'BHFDR', 'true');

figure, plot(-log10(exonSM_BAS.pDcPlus), exonSM_BAS.fdrDcPlus,'.b', -log10(exonSM_BAS.pDe), exonSM_BAS.fdrDe, '+r')
figure, hist(exonSM_BAS.pDc, unique(exonSM_BAS.pDc))
figure, hist(exonSM_BAS.pDcPlus, unique(exonSM_BAS.pDcPlus))
figure, hist(exonSM_BAS.pDcMinus, unique(exonSM_BAS.pDcMinus))
figure, hist(exonSM_BAS.pDe,unique(exonSM_BAS.pDe))


[~,plarger,kl] = kstest2(exonSM_BAS.DegD, exonSM_BAS.DegN, 'Tail','larger');
[~,psmaller,ks] = kstest2(exonSM_BAS.DegD, exonSM_BAS.DegN, 'Tail','smaller');
F1 = cdfplot(exonSM_BAS.DegD);
hold on
F2 = cdfplot(exonSM_BAS.DegN);
set(F2,'LineWidth',2,'Color','b')
set(F1,'LineWidth',2,'Color','r')
title('MS vs HC');
xlabel('d');
ylabel('CDF(d)')
legend([F1 F2],'MS','HC','Location','NW')

exonSM_FU2_1 = exonSM_BAS;

save exonSM_FU2_1 exonSM_FU2_1

save workspace1

